Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11677

Description

When running GRASS analyses, the update behaviour of raster maps is inconsistent: some modules show new maps as soon as they are

produced, others require closing the module and reopening it. Even worst, possibly as a result of this, maps are sometimes silently

updated, and analyses are run on the wrong (updated) map, instead of on this shown by the dropdown menu. This can obviously lead to

wrong results

History

#1 - 2009-04-27 07:50 AM - Redmine Admin

Can you specify the steps to reproduce the problem? The list of maps in comboboxes is updated whenever maps in legend are changed (i.e. usually if a

new map is added to the canvas). Note that only the maps visualized in QGIS are listed.

( connect( canvas, SIGNAL ), this, SLOT ) ); )

For using wrong maps after update you are right, I have found the bug.
#2 - 2009-04-27 08:19 AM - Paolo Cavallini

Sorry I was unclear: some modules (e.g. r.mapcalculator) have a "View output" button, others (e.g. r.surf.fractal) does not.

#3 - 2009-04-28 12:53 AM - Redmine Admin

(Un)fortunately this inconsistency comes from GRASS. If a module has defined output option in GRASS correctly the button 'View output' is added. You

can check this if you run the command with --interface-description. The output option should have <gisprompt age="new" element="cell" prompt="raster" />

tag.

r.surf.fractal did not have the output defined correctly, which was however fixed already:

http://trac.osgeo.org/grass/changeset/34761
#4 - 2009-05-18 02:35 AM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed
Fixed in revision 10812.
